GET
Lists all of the subtasks that are associated with the specified multi-instance Task.
https://azure.com/jobs/{jobId}/tasks/{taskId}/subtasksinfoIf the Task is not a multi-instance Task then this returns an empty collection.
Access Token Required: API Key
Path Parameters
jobIdstringrequired
The ID of the Job.
taskIdstringrequired
The ID of the Task.
Query Params
$selectstring
An OData $select clause.
timeoutstring
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/jobs/{jobId}/tasks/{taskId}/subtasksinfo' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}